/************************************************************************/
/* Copyright 2003-2013 MBARI											*/
/************************************************************************/
/* Summary	: Include file for routines to decode BEDS data files		*/
/* Filename : decode.h													*/
/* Author	: Robert Herlien (rah)										*/
/* Project	: Benthic Event Detection System (BEDS)						*/
/* Revision : 1.0														*/
/* Created	: 2/6/2013													*/
/*																			*/
/* MBARI provides this documentation and code "as is", with no warranty,	*/
/* express or implied, of its quality or consistency. It is provided without*/
/* support and without obligation on the part of the Monterey Bay Aquarium	*/
/* Research Institute to assist in its use, correction, modification, or	*/
/* enhancement. This information should not be published or distributed to	*/
/* third parties without specific written permission from MBARI.			*/
/*																			*/
/************************************************************************/
/* Modification History:												*/
/* 6feb2013 rah - created												*/
/************************************************************************/

#ifndef INCdecodeh
#define INCdecodeh

#ifdef CFX
#include <cfxpico.h>
#endif
#include <stdio.h>


/****************************************/
/* Function Declarations				*/
/****************************************/

void	printFileHdr(FILE *fp);
void	printSecMarker(FILE *fp);
void	printData(FILE *fp);
void	printPressure(FILE *fp);
void	printIndexRcd(FILE *fp);
void	printSysRcd(FILE *fp);
Errno	decodeFile(char *fname);
#ifdef CFX
MBool	dsDecodeFile(struct dirent *de);
char	*DecodeCmd(CmdInfoPtr);
#endif

#endif	/* INCdecodeh */
